Vitalics System Requirements

COMPATIBILITY FOR VITALICS FORMS

Vitalics internal control forms can be used with a PC or Mac using Word, Excel or Adobe PDF Reader.  If you have an Imac or tablet you must have the appropriate apps in order to open the forms.  The forms are saved in xlsx or docx for Word and Excel however you can still open them in an older version that still uses xlx and doc files.

COMPATIBILITY FOR VITALICS SOFTWARE

Vitalics currently does not support MAC, Imac or desktop tablets that don’t operate with Microsoft based programs.

If you updated your system to Microsoft 10 you will need to download the Microsoft SQL Server Compact 4.0

Vitalics is also currently not a Cloud application but we are working on it!

If your system isn’t compatible with Vitalics 2.0, you can purchase the original version which is not a desktop application but includes the forms, checklists, fraud DVD and fraud manual.

MINIMUM REQUIREMENTS

Windows Vista or Higher (7 or 8.1) (As of 12/19/14 Windows XP is not compatible with Vitalics 2.0. In order to operate with Windows XP you must download the older 1.1.6 version.) Intel Dual Core or AMD equivalent @ 1.2 ghz or greater Microsoft Office 2003 or higher (Microsoft Office 365 is not supported at this time) 2 Gigabytes of memory 500 Megabytes of hard drive free space .Net 4 1024 x 768 pixel display Active Broadband internet Connection

RECOMMENDED REQUIREMENTS

Windows Vista or Higher (7 or 8.1) Intel Dual Core or AMD equivalent @ 1.2 ghz or greater Microsoft Office 2010 or higher (Microsoft Office 365 is not supported at this time) 4 Gigabytes of memory 1 Gigabyte of hard drive free space .Net 4 1920×1080 pixel display Active Broadband internet Connection

XP USERS (FOR VITALICS 1.1.6 VERSION)

Due to the updates from Microsoft with their new operating systems, any financial information stored could be at risk for the computers still using XP. Vitalics, LLC is not responsible for any breach of security issues with our software for those customers who are continuing to use the outdated Microsoft XP operating system. The system is no longer supported by Microsoft for updated security protection.